Subject: Re: bug#36828: 27.0.50; Uninstalled emacs shows installed documentation

From: Štěpán Němec <[email-masked]>
Date: Mon, 29 Jul 2019 16:47:49 +0200

On Mon, 29 Jul 2019 17:38:11 +0300
Eli Zaretskii wrote:

>> FWIW, it find your use case totally legit and not unusual at all.
>
> "Unusual" doesn't mean it isn't legitimate, it just means it's
> infrequent.

I'm sorry, I should have thought better about the wording. I didn't mean
to imply you didn't consider the use case legitimate.

>> I can understand if nobody feels like attempting a fix right now
>
> By saying "fix" you imply this is a bug.  But that's not necessarily
> so, because it is also legitimate to want Emacs behave like it does
> now, i.e. prefer the installed version to the one in the source tree.
> Any fix will have to deal with the dichotomy, and let users request
> the non-default variant.

Indeed I do consider this a bug, and quite explicitely so. That emacs
should always default to using the data most relevant for the running
executable seems obvious to me. What am I missing?

-- 
Štěpán